apiVersion: v1
items:
- apiVersion: hypershift.openshift.io/v1beta1
  kind: HostedCluster
  metadata:
    annotations:
      cluster.open-cluster-management.io/hypershiftdeployment: ignore/ignore
      cluster.open-cluster-management.io/managedcluster-name: 226ddjvbfase44p7ovqfgoaj1cmrae11
      hypershift.openshift.io/cleanup-cloud-resources: "true"
    creationTimestamp: "2023-03-01T10:19:02Z"
    finalizers:
    - hypershift.openshift.io/finalizer
    generation: 2
    labels:
      api.openshift.com/environment: staging
      api.openshift.com/id: 226ddjvbfase44p7ovqfgoaj1cmrae11
      api.openshift.com/legal-entity-id: 1MKVU4otCIuogoLtgtyU6wajxjW
      api.openshift.com/name: ad1
      red-hat-clustertype: rosa
      red-hat-managed: "true"
    name: ad1
    namespace: ocm-staging-226ddjvbfase44p7ovqfgoaj1cmrae11
    ownerReferences:
    - apiVersion: work.open-cluster-management.io/v1
      kind: AppliedManifestWork
      name: bd93948052713474871d1cc8b72c4e1ccbb071fb71ba17686091fd51e1dbc773-226ddjvbfase44p7ovqfgoaj1cmrae11
      uid: 87304964-1cc7-46fb-bb71-5d6c18312eba
    resourceVersion: "100754049"
    uid: 3466cad9-63cd-4573-aac0-2acae40472e0
  spec:
    autoscaling: {}
    clusterID: a2cfa358-754e-480d-b275-033a0981a085
    configuration:
      apiServer:
        audit:
          profile: Default
        clientCA:
          name: ""
        encryption: {}
        servingCerts:
          namedCertificates:
          - servingCertificate:
              name: cluster-api-cert
      proxy:
        trustedCA:
          name: ""
    controllerAvailabilityPolicy: HighlyAvailable
    dns:
      baseDomain: rosa.ad1.3dgh.s3.devshift.org
      privateZoneID: Z00463113CVND0P89ATD2
      publicZoneID: Z025311823V3CR3UREMKR
    etcd:
      managed:
        storage:
          persistentVolume:
            size: 4Gi
          restoreSnapshotURL: []
          type: PersistentVolume
      managementType: Managed
    fips: false
    infraID: 226ddjvbfase44p7ovqfgoaj1cmrae11
    infrastructureAvailabilityPolicy: HighlyAvailable
    issuerURL: https://d3gt1gce2zmg3d.cloudfront.net/226ddjvbfase44p7ovqfgoaj1cmrae11
    networking:
      apiServer:
        port: 443
      clusterNetwork:
      - cidr: 10.128.0.0/14
      machineNetwork:
      - cidr: 10.0.0.0/16
      networkType: OVNKubernetes
      serviceNetwork:
      - cidr: 172.30.0.0/16
    olmCatalogPlacement: management
    platform:
      aws:
        cloudProviderConfig:
          subnet:
            id: subnet-0e3a4046c1c2f1078
          vpc: vpc-06637416807cd3f3e
          zone: us-west-2a
        endpointAccess: PublicAndPrivate
        region: us-west-2
        resourceTags:
        - key: api.openshift.com/environment
          value: staging
        - key: api.openshift.com/id
          value: 226ddjvbfase44p7ovqfgoaj1cmrae11
        - key: api.openshift.com/legal-entity-id
          value: 1MKVU4otCIuogoLtgtyU6wajxjW
        - key: api.openshift.com/name
          value: ad1
        - key: red-hat-clustertype
          value: rosa
        - key: red-hat-managed
          value: "true"
        - key: kubernetes.io/cluster/226ddjvbfase44p7ovqfgoaj1cmrae11
          value: owned
        rolesRef:
          controlPlaneOperatorARN: arn:aws:iam::765374464689:role/ad1-g6x2-kube-system-control-plane-operator
          imageRegistryARN: arn:aws:iam::765374464689:role/ad1-g6x2-openshift-image-registry-installer-cloud-credentials
          ingressARN: arn:aws:iam::765374464689:role/ad1-g6x2-openshift-ingress-operator-cloud-credentials
          kubeCloudControllerARN: arn:aws:iam::765374464689:role/ad1-g6x2-kube-system-kube-controller-manager
          networkARN: arn:aws:iam::765374464689:role/ad1-g6x2-openshift-cloud-network-config-controller-cloud-credent
          nodePoolManagementARN: arn:aws:iam::765374464689:role/ad1-g6x2-kube-system-capa-controller-manager
          storageARN: arn:aws:iam::765374464689:role/ad1-g6x2-openshift-cluster-csi-drivers-ebs-cloud-credentials
      type: AWS
    pullSecret:
      name: ad1-pull
    release:
      image: quay.io/openshift-release-dev/ocp-release@sha256:bbf1f27e5942a2f7a0f298606029d10600ba0462a09ab654f006ce14d314cb2c
    serviceAccountSigningKey:
      name: bound-service-account-signing-key
    services:
    - service: OVNSbDb
      servicePublishingStrategy:
        type: Route
    - service: APIServer
      servicePublishingStrategy:
        route:
          hostname: api.ad1.3dgh.s3.devshift.org
        type: Route
    - service: OAuthServer
      servicePublishingStrategy:
        route:
          hostname: oauth.ad1.3dgh.s3.devshift.org
        type: Route
    - service: OIDC
      servicePublishingStrategy:
        type: S3
    - service: Konnectivity
      servicePublishingStrategy:
        type: Route
    - service: Ignition
      servicePublishingStrategy:
        type: Route
    sshKey:
      name: ad1-ssh
  status:
    conditions:
    - lastTransitionTime: "2023-03-01T10:22:09Z"
      message: All is well
      observedGeneration: 2
      reason: AsExpected
      status: "True"
      type: ValidAWSIdentityProvider
    - lastTransitionTime: "2023-03-01T10:22:50Z"
      message: Payload loaded version="4.12.4" image="quay.io/openshift-release-dev/ocp-release@sha256:bbf1f27e5942a2f7a0f298606029d10600ba0462a09ab654f006ce14d314cb2c"
        architecture="amd64"
      observedGeneration: 2
      reason: PayloadLoaded
      status: "True"
      type: ClusterVersionReleaseAccepted
    - lastTransitionTime: "2023-03-01T10:19:02Z"
      message: Condition not found in the CVO.
      observedGeneration: 2
      reason: StatusUnknown
      status: Unknown
      type: ClusterVersionUpgradeable
    - lastTransitionTime: "2023-03-01T10:22:50Z"
      message: ""
      observedGeneration: 2
      reason: FromClusterVersion
      status: "False"
      type: ClusterVersionAvailable
    - lastTransitionTime: "2023-03-01T13:50:25Z"
      message: Cluster operators console, dns, image-registry, ingress, insights,
        kube-storage-version-migrator, monitoring, node-tuning, openshift-samples,
        service-ca, storage are not available
      observedGeneration: 2
      reason: ClusterOperatorsNotAvailable
      status: "False"
      type: ClusterVersionSucceeding
    - lastTransitionTime: "2023-03-01T10:22:50Z"
      message: 'Unable to apply 4.12.4: some cluster operators are not available'
      observedGeneration: 2
      reason: ClusterOperatorsNotAvailable
      status: "True"
      type: ClusterVersionProgressing
    - lastTransitionTime: "2023-03-01T13:07:52Z"
      message: The hosted cluster is not degraded
      observedGeneration: 2
      reason: AsExpected
      status: "False"
      type: Degraded
    - lastTransitionTime: "2023-03-01T10:21:24Z"
      message: ""
      observedGeneration: 2
      reason: QuorumAvailable
      status: "True"
      type: EtcdAvailable
    - lastTransitionTime: "2023-03-01T10:22:03Z"
      message: Kube APIServer deployment is available
      observedGeneration: 2
      reason: AsExpected
      status: "True"
      type: KubeAPIServerAvailable
    - lastTransitionTime: "2023-03-01T10:21:02Z"
      message: All is well
      observedGeneration: 2
      reason: AsExpected
      status: "True"
      type: InfrastructureReady
    - lastTransitionTime: "2023-03-01T10:22:03Z"
      message: The hosted control plane is available
      observedGeneration: 2
      reason: AsExpected
      status: "True"
      type: Available
    - lastTransitionTime: "2023-03-01T10:19:02Z"
      message: Configuration passes validation
      observedGeneration: 2
      reason: AsExpected
      status: "True"
      type: ValidConfiguration
    - lastTransitionTime: "2023-03-01T10:19:02Z"
      message: HostedCluster is supported by operator configuration
      observedGeneration: 2
      reason: AsExpected
      status: "True"
      type: SupportedHostedCluster
    - lastTransitionTime: "2023-03-01T10:20:42Z"
      message: Configuration passes validation
      reason: AsExpected
      status: "True"
      type: ValidHostedControlPlaneConfiguration
    - lastTransitionTime: "2023-03-01T10:22:03Z"
      message: Ignition server deployment is available
      observedGeneration: 2
      reason: AsExpected
      status: "True"
      type: IgnitionEndpointAvailable
    - lastTransitionTime: "2023-03-01T10:19:02Z"
      message: Reconciliation active on resource
      observedGeneration: 2
      reason: AsExpected
      status: "True"
      type: ReconciliationActive
    - lastTransitionTime: "2023-03-01T10:19:02Z"
      message: Release image is valid
      observedGeneration: 2
      reason: AsExpected
      status: "True"
      type: ValidReleaseImage
    - lastTransitionTime: "2023-03-01T10:19:02Z"
      message: HostedCluster is at expected version
      observedGeneration: 2
      reason: AsExpected
      status: "False"
      type: Progressing
    - lastTransitionTime: "2023-03-01T10:20:36Z"
      message: Reconciliation completed succesfully
      observedGeneration: 2
      reason: ReconciliatonSucceeded
      status: "True"
      type: ReconciliationSucceeded
    - lastTransitionTime: "2023-03-01T10:20:36Z"
      message: OIDC configuration is valid
      observedGeneration: 2
      reason: AsExpected
      status: "True"
      type: ValidOIDCConfiguration
    controlPlaneEndpoint:
      host: api.ad1.3dgh.s3.devshift.org
      port: 443
    ignitionEndpoint: ignition-server.apps.ad1.hypershift.local
    kubeadminPassword:
      name: ad1-kubeadmin-password
    kubeconfig:
      name: ad1-admin-kubeconfig
    oauthCallbackURLTemplate: https://oauth.ad1.3dgh.s3.devshift.org:443/oauthcallback/[identity-provider-name]
    version:
      availableUpdates: null
      desired:
        image: quay.io/openshift-release-dev/ocp-release@sha256:bbf1f27e5942a2f7a0f298606029d10600ba0462a09ab654f006ce14d314cb2c
        url: https://access.redhat.com/errata/RHSA-2023:0769
        version: 4.12.4
      history:
      - completionTime: null
        image: quay.io/openshift-release-dev/ocp-release@sha256:bbf1f27e5942a2f7a0f298606029d10600ba0462a09ab654f006ce14d314cb2c
        startedTime: "2023-03-01T10:22:28Z"
        state: Partial
        verified: false
        version: 4.12.4
      observedGeneration: 1
kind: List
metadata:
  resourceVersion: ""
